Archive for ruby193

[tekwalk] Creating RPM of MCollective for Ruby1.9

Posted in AbhishekKr, Blogroll, tutorial with tags , , , , , , , , , on July 10, 2012 by abhishekkr

tekwalk.blogspot.in [11/June/2012]

http://tekwalk.blogspot.in/2012/06/mcollective-creating-rpm-for-ruby19.html

Clone the latest branch from GitHub repo for MCollective
$ git clone git://github.com/puppetlabs/marionette-collective.git

Removing Ruby 1.8 version specification from RedHat Spec
$ sed -i ‘s/.*ruby.abi.*//g’ ext/redhat/mcollective.spec

from the changes 11/Jun/2011 : marionette-collective/commit/ba86f7762d
the lines removed by above command are
BuildRequires: ruby(abi) = 1.8
Requires: ruby(abi) = 1.8

Removing Rubygem…..

…..click here to read full post